import os
from shutil import copytree
from ase.calculators.octopus import Octopus
from ase.collections import g2

system = g2['H2O']

modes = ['gs', # ok
         'unocc', # ok
         'td',
         'go',
         'opt_control',
         'em_resp',
         'casida',
         'vdw',
         'vib_modes',
         'kdotp',
         'invert_ks',
         'recipe']

# not present: dummy (does nothing) one_shot (obsolete)

for mode in modes:
    print('TEST MODE %s' % mode)
    label = 'ink-%s' % mode
    if mode in ['unocc', 'td'] and not os.path.exists(label):
        copytree('ink-gs', label)
    calc = Octopus(CalculationMode=mode,
                   label=label,
                   OutputFormat='xcrysden',
                   Output='density',
                   stdout='"stdout.log"')
    system.calc = calc
    system.get_potential_energy()
